# `m-action-listbox-item`

An action list is a contextual menu that presents a list of available actions related to a specific element or interface area. It allows users to quickly access functions such as editing, sharing, deleting, or navigating to sub-actions. Action Lists are commonly triggered by buttons, icons (e.g., three-dot menus), or right-click interactions, ensuring a clean and efficient UI.

## Props

| Name | Description | Type | Default |
|------|-------------|------|---------|
| `label*` | The label displayed for the item. | `string` |   |
| `disabled` | If `true`, the item will be disabled. | `boolean` |   |
| `appearance` | Allows to define the item appearance. | `'standard'` `'danger'` |   |
| `divider` | Add a divider on top of the item. | `boolean` |   |
| `onclick` | Callback to trigger on item click. | `() => void` |   |

## Slots

| Name | Description |
|------|-------------|
| `icon` | Use this slot to display an icon in the listbox item. |

